Subject: Wild card (*) problems under SCO Unixware 2.1

From: Mike Handley <[email-masked]>
Date: Thu, 31 Jul 1997 11:14:33 -0400 (EDT)

Hi,
  I are running  wu-ftpd 2.4 Release 2 Beta 13 on a SCO Unixware 2.1
machine.  I have found that the "*" wildcard does not work.  Here is a
quick example.
ftp> mget *
*: No such file or directory.
can't find list of remote files, oops
ftp> ls
200 PORT command successful.
150 Opening ASCII mode data connection for /bin/ls.
total 32
drwxr-xr-x    2 handley  other       1024 Jul 28 18:08 .
drwxrwxr-x    3 root     sys           96 Jun 25 09:33 ..
-rw-r--r--    1 handley  other          0 Jun 24 10:49 .UpgradeVer2.1
-rw-r--r--    1 handley  other          0 Jun 26 12:56 .UpgradeVer2.1.1
-rw-r--r--    1 handley  other          0 Jun 26 13:01 .UpgradeVer2.1.2
-rw-r--r--    1 handley  other        673 Jun 26 12:56 .login
-rw-r--r--    1 handley  other        674 Jun 26 12:56 .profile
-rw-------    1 handley  other       1004 Jul 28 19:58 .sh_history
-rw-r--r--    1 handley  other         51 Dec 11  1995 .vtlrc
-rwxr-xr-x    1 handley  other       7112 Jul 22 15:26 a.out
-rw-r-----    1 handley  other       2236 Jul 22 15:26 leakme.c
-rwxr-xr-x    1 root     sys           74 Jul 28 18:08 msg.banner
The "ls" shows the available files:
ftp> ls le*  - to show me the leakme.c file.
200 PORT command successful.
150 Opening ASCII mode data connection for /bin/ls.
226 Transfer complete.

I surfed thu the code some and found that the problem may lie in
the NLST variable in ftpd.c or one of the following defines:
#define HAVE_REGEX_H
#define HAVE_DIRENT
#define HAVE_D_NAMLEN

I have tried removing and undefining these variables with no luck.  
I was hoping someone else had this problem or you know of a solution?

TIA
Mike
~

----------------------------------------------------------------------------
 Mike Handley
MicroServe Information Systems            Mail: [email-masked]
Engineering
                    
		Tip of the Week/Month by Mike Handley:
---If you could unknow anyone you already know, whom would it be?----

------------------------------------------------------------------------------